if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi
( cd usr/share/help/en_GB/gnome-klotski/figures ; rm -rf gnotski_start_window.png )
( cd usr/share/help/en_GB/gnome-klotski/figures ; ln -sf /usr/share/help/C/gnome-klotski/figures/gnotski_start_window.png gnotski_start_window.png )
( cd usr/share/help/en_GB/gnome-klotski/figures ; rm -rf gnotski_win.png )
( cd usr/share/help/en_GB/gnome-klotski/figures ; ln -sf /usr/share/help/C/gnome-klotski/figures/gnotski_win.png gnotski_win.png )
( cd usr/share/help/uk/gnome-klotski/figures ; rm -rf gnotski_start_window.png )
( cd usr/share/help/uk/gnome-klotski/figures ; ln -sf /usr/share/help/C/gnome-klotski/figures/gnotski_start_window.png gnotski_start_window.png )
( cd usr/share/help/uk/gnome-klotski/figures ; rm -rf gnotski_win.png )
( cd usr/share/help/uk/gnome-klotski/figures ; ln -sf /usr/share/help/C/gnome-klotski/figures/gnotski_win.png gnotski_win.png )
( cd usr/share/help/zh_CN/gnome-klotski/figures ; rm -rf gnotski_start_window.png )
( cd usr/share/help/zh_CN/gnome-klotski/figures ; ln -sf /usr/share/help/C/gnome-klotski/figures/gnotski_start_window.png gnotski_start_window.png )
( cd usr/share/help/zh_CN/gnome-klotski/figures ; rm -rf gnotski_win.png )
( cd usr/share/help/zh_CN/gnome-klotski/figures ; ln -sf /usr/share/help/C/gnome-klotski/figures/gnotski_win.png gnotski_win.png )
